Subject: Re: Bugs found in fvwm 2.3.15, with TkGoodStuff 8.0-final

From: Eric Renfro <[email-masked]>
Date: Sat, 1 Apr 2000 23:29:03 -0600

> Mikhael Goikhman And Olivier Chapuis, two developers from this list,
> have been writing a perl-script based theme tool called
> fvwm-themes-config which can be downloaded from
> https://sourceforge.net/project/?group_id=1738

Ahh, yes, Very good resource. Yes. I tried it out, but I find only one fatal
flaw. It requires fwvm 2.3.x, One of my big things I'm trying to do with
fvwm-themer, is keep it supporting at least fvwm 2.0  and up.

> It appears likely that this new themes package is going to be featured
> on the soon to be recreated fvwm.themes.org page. However more people
> are needed to help with bug-testing and adding additional features to
> this project. All input is being welcomed. Currently a recent snapshot
> of fvwm or the cvs sources are required.

That's left to be seen, so far. fvwm.t.o is going to be looking for the "most
popular" easy to use theme engine. I know. I've already contacted them about
it. ;)

> There is also a mailing list for fvwm themes.
> FVWM-Themes-devel <[email-masked]>
> 
> As an extra note: I think 2.5M is somewhat large and discouraging to
> potential users for downloading over modem dial-up connections. The
> above mentioned package is under 300K.

Oh, that? The reason it's so big, is because the Spruce and Spruce 2.3 themes
have wav's in it, for the most part. I should break down and include the bare
base of Motif-Plain/Motif-Plain-2.3 in it, and extrude the themes seperately,
for future use and expansion.
Which, for fvwm-themer 0.3 I will have that done, because of that. :)

> I myself have an fvwm themes configuration suite of forms available at
> http://www.dove.net.au/~awol/fvwm2/ (bug-ridden pre-alpha only) which I
> have 
> just begun reworking to hopefully integrate into a full-featured
> user-friendly interface to fvwm-themes-config. (It's only 81K)

Yes. I looked at that, too. VERY nice looking so far. I planned to do the same
thing, using FvwmForm and/or FvwmGtk, with my new engine I'm working to add
version checking support, I'll add a line to check for Gtk, and if 2.3.x+ and
GTK exist, I'll have it use FvwmGtk instead.

> There are also several other themes designers and packages available,
> and I refer you to this lists mail archives for details on them.
> 
> Email for fvwm.themes.org can be directed to 
> Charlie Schmidt         [email-masked]
> as he has been the main contact for that organisation.
> 
> Jason Kibblewhite and myself have created channel #fvwm on EFNET irc for
> online realtime discussions on themes and any other fvwm matters.
> Everybody welcome!  :)

hmm.. I'll have to visit there. ;)

One last detail I'd like to iron out though.
fvwm-themes 0.2.4 uses $FVWM_USERHOME.. Is this only available in fvwm 2.3.x?
If so, is there any other way to set that FVWM_USERHOME elsewhere?

Eric Renfro
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Sun, 02 Apr 2000 08:06:18 -0400

> If so, is there any other way to set that FVWM_USERHOME elsewhere?

FVWM_USERHOME is in 2.3.x only.

There are other things in 2.3.x which might really  help a theme
package, "colorsets", and style update without recapture.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 2 Apr 2000 21:25:33 +0200

On 01 Apr 2000 23:29:03 -0600, Eric Renfro wrote:
> 
> Alex Wallis wrote (re: http://myrddincon.dynup.net/projects/fvwm-themer/):
> > 

Does this mean you will not support all nice features of fvwm-2.4?
Supporting old versions is nice, but, as it were already said, they are not
designed for themes. 2.4 will be much better and 3.0 will be better yet. :)

I think it is ok to have a separate package for each major fvwm version,
i.e. I suggest you not to port your fvwm-themer to be 2.4 compilant, but
support the mentioned fvwm-themes instead, especially if you like it.

> popular" easy to use theme engine. I know. I've already contacted them about

I originally was all for it. Seems good for me to have several (not many)
competing theme formats, and my suggestion was to link to all existing
ones (and a user will choose). But others on the fvwm-themes-devel list
argued that it will be very confusing to the average fvwm.themes.org user.
Now when I see at least 10 different setups, I think, I agree.

My biggest concern about other theme setups is that they are not designed
well in my opinion. I am pretty sure that the standard fvwm-themes format
should be developed by ones who know all fvwm internals. Otherwise it will
just become another unofficial fvwm2rc format.

> > have just begun reworking to hopefully integrate into a full-featured
> Yes. I looked at that, too. VERY nice looking so far. I planned to do
> the same thing, using FvwmForm and/or FvwmGtk, with my new engine I'm
> working to add version checking support, I'll add a line to check for
> Gtk, and if 2.3.x+ and GTK exist, I'll have it use FvwmGtk instead.

Eric, I invite you and all others who have time to contribute to work
together and create the best fvwm-themes framework. Noone will like to
have several half functional and incompatible ones. :)

Regards,
Mikhael.